## tinyxml 2.6.2

=== debian/changelog ===
tinyxml (2.6.2-7) unstable; urgency=medium

  * Fix passing -DTIXML_USE_STL to the build. (Closes: #1076929)

 -- Felix Geyer <fgeyer@debian.org>  Fri, 26 Jul 2024 17:29:19 +0200

tinyxml (2.6.2-6.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database.

  [ Felix Geyer ]
  * Set Homepage to the SourceForge project since the original website
    is offline.

  [ Guilhem Moulin ]
  * Fix CVE-2023-34194 / CVE-2023-40462: Reachable assertion (and application
    exit) via a crafted XML document with a '\0' located after whitespace.
    (Closes: #1059315)

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 30 Dec 2023 22:49:10 +0100

tinyxml (2.6.2-6) unstable; urgency=medium

  * Import fix for CVE-2021-42260.
    - Add CVE-2021-42260.patch

 -- Felix Geyer <fgeyer@debian.org>  Sun, 12 Dec 2021 23:53:05 +0100

tinyxml (2.6.2-5) unstable; urgency=medium

  [ Felix Geyer ]
  * Switch to debhelper compat level 11.
  * Replace -dbg package with autogenerated the -dbgsym.
  * Change the priority of libtinyxml-doc to optional as extra has been
    deprecated.
  * Remove obsolete dpkg local-options.

  [ Ondřej Nový ]
  * d/control: Removing redundant Priority field in binary package
  * d/watch: Use https protocol

  [ Debian Janitor ]
  * Use versioned copyright format URI.
  * Update copyright file header to use current field names (Name =>
    Upstream-Name, Maintainer => Upstream-Contact)
  * Bump debhelper from old 11 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Set debhelper-compat version in Build-Depends.
  * Drop unnecessary dh arguments: --parallel
  * Set upstream metadata fields: Archive, Repository.
  * Update watch file format version to 4.
  * Apply multi-arch hints.
    + libtinyxml-doc: Add Multi-Arch: foreign.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 06 Sep 2021 23:21:26 +0200

tinyxml (2.6.2-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #839391)
    + Use triplet-prefixed tools
    + Support DEB_BUILD_OPTIONS=nocheck

  [ Felix Geyer ]
  * Switch to debhelper compat level 9.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 20 Oct 2016 20:36:11 +0200

tinyxml (2.6.2-3) unstable; urgency=medium

  * Rename libtinyxml2.6.2 to libtinyxml2.6.2v5 for the libstdc++6 transition.

 -- Felix Geyer <fgeyer@debian.org>  Tue, 04 Aug 2015 22:23:50 +0200

tinyxml (2.6.2-2) unstable; urgency=low

  * Include /usr/share/dpkg/default.mk to set build flags and simplify
    debian/rules.
    - Build-depend on dpkg-dev (>= 1.16.1~).
  * Enable parallel building.
  * Convert to multiarch.
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Use canonical URIs for Vcs-* fields.
  * Switch to my @debian.org email address.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 09 May 2013 14:42:26 +0200

tinyxml (2.6.2-1) unstable; urgency=low

  * New upstream release.
  * Switch to source format 3.0 (quilt).
  * Change SONAME and package names for new upstream version.
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Add entity-encoding.patch from upstream bugtracker.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 24 May 2011 17:51:42 +0200

tinyxml (2.5.3-3) unstable; urgency=low

  * Revert most changes from 2.5.3-2 (Closes: #574852).
    Only provide tinyxml with STL support.
  * Set the source package format explicitly to "1.0".
  * Override libtinyxml2.5.3 shlibs to require at least 2.5.3-3.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 16 Apr 2010 00:54:55 +0200

tinyxml (2.5.3-2) unstable; urgency=low

  * Build a second variant of the library without STL support called
    libtinyxml-nostl.so
  * Rename library with STL support from libtinyxml.so to libtinyxml-stl.so
  * Add pkg-config files.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 18 Mar 2010 19:59:41 +0100

tinyxml (2.5.3-1) unstable; urgency=low

  * Initial release. (Closes: #531968)

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 28 Feb 2010 20:13:57 +0100
