=== debian/control ===
Source: tinyxml
Section: libs
Priority: optional
Maintainer: Felix Geyer <fgeyer@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.1.3
Homepage: https://sourceforge.net/projects/tinyxml/
Vcs-Git: https://salsa.debian.org/debian/tinyxml.git
Vcs-Browser: https://salsa.debian.org/debian/tinyxml

Package: libtinyxml2.6.2v5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libtinyxml2.6.2
Replaces: libtinyxml2.6.2
Description: C++ XML parsing library
 This package contains the shared version of the TinyXml library.
 .
 TinyXml is a simple and small C++ XML parser that can be easily integrating
 into other programs. It reads XML and creates C++ objects representing
 the XML document. The objects can be manipulated, changed, and
 saved again as XML.

Package: libtinyxml-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libtinyxml2.6.2v5 (= ${binary:Version})
Suggests: libtinyxml-doc
Description: TinyXml library - header and static library
 This package contains the header file and a static version of the
 TinyXml library.
 .
 TinyXml is a simple and small C++ XML parser that can be easily integrating
 into other programs. It reads XML and creates C++ objects representing
 the XML document. The objects can be manipulated, changed, and
 saved again as XML.

Package: libtinyxml-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libtinyxml-dev
Multi-Arch: foreign
Description: TinyXml library - documentation files
 This package contains the documentation to program with the TinyXml library.
 .
 TinyXml is a simple and small C++ XML parser that can be easily integrating
 into other programs. It reads XML and creates C++ objects representing
 the XML document. The objects can be manipulated, changed, and
 saved again as XML.
