## tinyxml 2.6.2.1

=== debian/changelog ===
tinyxml (2.6.2.1-deepin1) buster-security; urgency=high

  * fix for CVE-2021-42260.

 -- liaoyuan <liaoyuan@uniontech.com>  Fri, 30 Sep 2022 23:03:02 +0200
