=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,16 @@
 #!/usr/bin/make -f
-
-DEB_CPPFLAGS_MAINT_APPEND = -DTIXML_USE_STL
 
 include /usr/share/dpkg/default.mk
 ifeq ($(origin CXX),default)
 CXX = $(DEB_HOST_GNU_TYPE)-g++
 endif
 
+CXXFLAGS += -DTIXML_USE_STL
+
 OBJ_FILES := tinyxml.o tinyxmlparser.o tinyxmlerror.o
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_build:
 	dh_auto_build -- CXXFLAGS="$(CXXFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" CXX="$(CXX)" LD="$(CXX)"
@@ -47,4 +47,7 @@
 	rm -rf xmltestdir
 
 override_dh_strip:
-	dh_strip --dbgsym-migration='libtinyxml$(DEB_VERSION_UPSTREAM)v5-dbg (<< 2.6.2-5~)'
+	dh_strip --dbg-package=libtinyxml2.6.2v5-dbg
+
+override_dh_install:
+	dh_install --fail-missing
